/***

Copyright 2011-2012 Carlos Moreno Munoz

This file is part of Vands.

Vands is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Foobar is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
****/

function raton_liberado(evento) {
	if(!blok){
		down=0;
		down_x=down_y=-1;
		
		if(boton_ok.apuntado){
			trozo_izquierda=jugador.trozo_izquierda/jugador.escala;
			trozo_derecha=jugador.trozo_derecha/jugador.escala;
			trozo_arriba=jugador.trozo_arriba/jugador.escala;
			trozo_abajo=jugador.trozo_abajo/jugador.escala;
			face_x=(jugador.cara_x-jugador.x+jugador.trozo_izquierda)/jugador.escala;
			face_y=(jugador.cara_y-jugador.y+jugador.trozo_arriba)/jugador.escala;
			
			face_x=limitar_decimales(face_x,2);
			face_y=limitar_decimales(face_y,2);
			trozo_izquierda=limitar_decimales(trozo_izquierda,2);
			trozo_derecha=limitar_decimales(trozo_derecha,2);
			trozo_arriba=limitar_decimales(trozo_arriba,2);
			trozo_abajo=limitar_decimales(trozo_abajo,2);
			escala=limitar_decimales(jugador.escala/2,2);
			
			url_redireccionar="nueva_apariencia_"+escala+"_"+trozo_izquierda+"_"+trozo_derecha+"_"+
				trozo_arriba+"_"+trozo_abajo+"_"+face_x+"_"+face_y;
				
			bloquear();				
			grid.mark_grid(0,0,GRID_COLUMNS-1,GRID_ROWS-1);
			fadeout_alpha=0.0;
		}
	}
}

function raton_movido(evento){
	
	if(!blok){
		//Adaptamos las coordenadas del evento
		var x_evento=adaptar_x_evento(evento);
		var y_evento=adaptar_y_evento(evento);		
		
		if(down){
			jugador.cara_x=x_evento-down_trozo_x;
			jugador.cara_y=y_evento-down_trozo_y;
			jugador.esquina_x=-1;
			jugador.esquina_y=-1;
			actualizar_cara();
		}else{
			boton_ok.destacar(x_evento,y_evento);
			if(!boton_ok.apuntado){
				jugador.destacar_esquinas(x_evento,y_evento);
				if(down_y!=-1){				
					jugador.escala=down_escala+((y_evento-down_y)/100);
				}
				actualizar_cara();
			}
		}
	}
}

function mouse_down(evento) {
	if(!blok){
		//Adaptamos las coordenadas del evento
		var x_evento=adaptar_x_evento(evento);
		var y_evento=adaptar_y_evento(evento);
		down_trozo_x=x_evento-jugador.cara_x;
		down_trozo_y=y_evento-jugador.cara_y;
		
		if(jugador.esquina_x!=-1){
			down_x=x_evento;
			down_y=y_evento;
			down_escala=jugador.escala;
		}else{
			var x1=jugador.cara_x;
			var x2=x1+jugador.cara_w*jugador.escala;
			var y1=jugador.cara_y;
			var y2=y1+jugador.cara_h*jugador.escala;
			if(x_evento>=x1 && x_evento<=x2 && y_evento>=y1 && y_evento<=y2)
				down=1;
		}
	}
}
